1. 18Phoenix

    18Phoenix GBAtemp Advanced Fan
    Member

    Joined:
    Nov 21, 2005
    Messages:
    703
    Country:
    Germany
    Ah, ok, 2.9.2 is out, I haven't seen that. So it's ok, but to avoid future problems, a fix option would be nice :)
    Thanks.
    No, the most famous games are the ones from Nin tendo, and these got only some few patches (often only 1)
    and so they're older and the most haven't work anymore. That's why so many people had problems.
     
    Last edited by 18Phoenix, Oct 7, 2019
  2. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    961
    Country:
    Spain
    Ah, I see. I normally have the originals on my Google drive, I mount the drive with raidrive and add the originals to nscb, that way it creates the xci on the fly maxing my download speed. I don't hold that many on my hdd\sd card.
     
  3. garco

    garco Advanced Member
    Newcomer

    Joined:
    Jun 28, 2006
    Messages:
    98
    Country:
    Italy
    When is the support for xcz and nsz (compressed and uncompressed)?
     
  4. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    961
    Country:
    Spain
    Probably next weekend. I already added compression to squirrel for nsps including progress bars and batch processing need to add for xci and add decompression. Then I'd have to apply that to the conversion functions. It'll be done in different steps probably.
     
    satel, Mactaetus and 18Phoenix like this.
  5. huma_dawii

    huma_dawii GBAtemp Psycho!
    Member

    Joined:
    Apr 3, 2014
    Messages:
    3,682
    Country:
    United States
    I'm glad the issue got sorted out.

    I will be repacking my games!
     
  6. wakabayashy

    wakabayashy GBAtemp Advanced Fan
    Member

    Joined:
    Dec 25, 2014
    Messages:
    635
    Country:
    France
    hello @JRoad

    I've this error message

    how could I solve it please?
     

    Attached Files:

  7. BabaYagaJW

    BabaYagaJW Member
    Newcomer

    Joined:
    May 8, 2019
    Messages:
    10
    Country:
    United States
    I get the same error as above. Plus I get the error. Exception: name 'rom' is not defined.

    All was working great until I upgraded from v0.85bx64 to the latest, but it was time for an upgrade. I installed Python3, not sure what is going on.

    I should have added; I tried:

    (1) installing Pyton 3
    (2) updating the keys.txt file to the latest. I also made it look super clean like the template. Same error(s)
     
    Last edited by BabaYagaJW, Oct 8, 2019
  8. Mactaetus

    Mactaetus Advanced Member
    Newcomer

    Joined:
    Feb 4, 2004
    Messages:
    72
    Country:
    I, too, have the .ispath error since the version before.
     
  9. BabaYagaJW

    BabaYagaJW Member
    Newcomer

    Joined:
    May 8, 2019
    Messages:
    10
    Country:
    United States
    It seems to get the error for any XCI I try to read or NSP Update. FYI I'm using it to check FW version.

    This is a wonderful utility, been using it for a while. This is the first time I got an error, and I'm sure its on my end. Just not sure what else to do.
     
  10. 18Phoenix

    18Phoenix GBAtemp Advanced Fan
    Member

    Joined:
    Nov 21, 2005
    Messages:
    703
    Country:
    Germany
    Sorry to ask, but I'm still unsure:
    How do I generate a XCI for 1 game including UPD + DLCs ?
    I always used (2) Multi-Pack Mode successfully.
    But isn't that meant for Multi-Game-XCIs ???
    If yes, what's the normal way to build a single-game XCI ?
     
  11. Mikep90

    Mikep90 GBAtemp Regular
    Member

    Joined:
    May 29, 2018
    Messages:
    190
    Country:
    United States
    Anybody know about this error and how to fix it
    Traceback (most recent call last):
    File "squirrel.py", line 40, in <module>
    File "<frozen importlib._bootstrap>", line 983, in _find_and_load
    File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
    File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
    File "c:\users\nscb\appdata\local\programs\python\python37\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 627, in exec_module
    File "lib\sq_tools.py", line 5, in <module>
    File "<frozen importlib._bootstrap>", line 983, in _find_and_load
    File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
    File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
    File "c:\users\nscb\appdata\local\programs\python\python37\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 627, in exec_module
    File "lib\Keys.py", line 94, in <module>
    File "lib\Keys.py", line 69, in load
    binascii.Error: Odd-length string
    [5368] Failed to execute script squirrel
     
  12. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    961
    Country:
    Spain
    In theory that's what I fixed in 0.91b. It made the code jump to other function when the correct one was over though the file was output correctly. Are you using 0.91b?
    I tell you the same. Is it 0.91b or 0.91?
    This was solved in discord I think. Wrong key format.
    Is the same. Is meant for multicontent. You can even generate xcis with only updates or dlcs or both and if the game is installed when the xci is montes it'll load the additional content.
     
    18Phoenix likes this.
  13. BabaYagaJW

    BabaYagaJW Member
    Newcomer

    Joined:
    May 8, 2019
    Messages:
    10
    Country:
    United States
    I have upgraded to v0.91b.
    When I attempt to check FW Requirement for a DLC/Update I get:

    Exception: name 'rom' is not defined.

    At times it won't combine the update/main game at all. However, reverting to an older version combines them fine.
     
  14. wakabayashy

    wakabayashy GBAtemp Advanced Fan
    Member

    Joined:
    Dec 25, 2014
    Messages:
    635
    Country:
    France
    @JRoad no I'm not using the version 91n, so I'll try it

    thanks pal
     
  15. JRoad

    OP JRoad Developer
    Developer

    Joined:
    May 18, 2018
    Messages:
    961
    Country:
    Spain
    Yeah i'm geting some reports of that though it works for me. I'll check it for the weekend update but for now you can use either an older version or use the chromium gui to check that data.
     
    BabaYagaJW likes this.
  16. BabaYagaJW

    BabaYagaJW Member
    Newcomer

    Joined:
    May 8, 2019
    Messages:
    10
    Country:
    United States
    Thank you for the reply @JRoad I took a peak at GitHub, and thru your posts I'll use the Chromium GUI to address the FW and if need be the old. Thank you again for all this hardwork. It sure makes way easier for us.
     
  17. wakabayashy

    wakabayashy GBAtemp Advanced Fan
    Member

    Joined:
    Dec 25, 2014
    Messages:
    635
    Country:
    France
    @JRoad works perfect with 91b thanks :)

    problem solved
     
  18. mike087

    mike087 GBAtemp Regular
    Member

    Joined:
    Jan 6, 2017
    Messages:
    195
    Country:
    Ecuador
    So many problems with this program. Dont waste your time downloading it
     
  19. 0x3000027E

    0x3000027E GBAtemp Regular
    Member

    Joined:
    Mar 14, 2018
    Messages:
    188
    Country:
    United States
    This program is a godsend for those of us who rely on xci, so...
     
    18Phoenix, Moko, BabaYagaJW and 3 others like this.
  20. ModderFokker619

    ModderFokker619 GBAtemp Maniac
    Member

    Joined:
    Oct 2, 2015
    Messages:
    1,409
    Country:
    United States

    This tool saves me time = life
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - (Game+updates+dlc, NSC_Builder, Nintendo